const paths = require('./paths');
const path = require('path');
const webpack = require('webpack');
const CleanWebpackPlugin = require('clean-webpack-plugin');

const vendors = [ 'react', 'react-dom' ];

module.exports = {
	mode: 'production',
	performance: {
		hints: false
	},
	output: {
		path: paths.appDll,
		publicPath: paths.servedPath,
		filename: '[name].[hash].dll.js',
		library: '[name]_[hash]'
	},
	entry: {
		vendor: vendors
	},
	plugins: [
		new CleanWebpackPlugin([ paths.appDll ], {
			root: paths.appPath, // 根目录
			verbose: true, // 开启在控制台输出信息
			dry: false // 启用删除文件
		}),
		new webpack.IgnorePlugin(/^\.\/locale$/, /moment$/),

		new webpack.DllPlugin({
			path: path.join(paths.appDll, '[name]-manifest.json'),
			name: '[name]_[hash]'
		})
	]
};
